Subject: bug#14174: BUG REP: tee takes an annoyingly long time in some system.

From: Assaf Gordon <[email-masked]>
Date: Thu, 18 Oct 2018 18:08:30 -0600

tags 14174 moreinfo
close 14174
thanks

(triaging old bugs)

On 11/04/13 04:00 AM, Pádraig Brady wrote:
> [...]
> So tee is spending time in read() waiting for data from stdin,
> and this doesn't happen when writing to file.
> So I can only conclude that sqlci is doing something weird with pipes.
> Is it messing with non blocking I/O, pipe capacity and timers?
> I presume you've have the same issue with: ... sqlci | cat >> temp
> 

With no further follow-ups in 5 years, I'm closing this bug.

-assaf